import { Some, None } from './types';
/**
 * Create a `Some`
 * @param value Value to be carried
 * @returns `Some` of `value`
 */
export declare const some: <Value>(value: Value) => Some<Value>;
/**
 * Create a `None`
 * @returns A `None`
 */
export declare const none: () => None;
